org.apache.ignite.streamer

## Interface StreamerWindowMBean

All Known Implementing Classes:
  StreamerBoundedSizeBatchWindow, StreamerBoundedSizeSortedWindow, StreamerBoundedSizeWindow, StreamerBoundedTimeBatchWindow, StreamerBoundedTimeWindow, StreamerUnboundedWindow, StreamerWindowAdapter

    @MXBeanDescription(value="MBean that provides access to streamer window description.")
    public interface StreamerWindowMBean

Streamer window MBean.

### Method Summary

Methods
`String` `getClassName()` Gets window class name.
`int` `getEvictionQueueSize()` Gets estimate for window eviction queue size.
`String` `getName()` Gets window name.
`int` `getSize()` Gets current window size.

### Method Detail

#### getName

    @MXBeanDescription(value="Window name.")
    String getName()

Gets window name.

Returns:
  Window name.

#### getClassName

    @MXBeanDescription(value="Window class name.")
    String getClassName()

Gets window class name.

Returns:
  Window class name.

#### getSize

    @MXBeanDescription(value="Window size.")
    int getSize()

Gets current window size.

Returns:
  Current window size.

#### getEvictionQueueSize

    @MXBeanDescription(value="Eviction queue size estimate.")
    int getEvictionQueueSize()

Gets estimate for window eviction queue size.

Returns:
  Eviction queue size estimate.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015